unit FormMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls;

type
  TFrmMain = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    btnOK: TButton;
    btnCancel: TButton;
    btnHelp: TButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    PackageDLLOutputDir: TComboBox;
    PackageDCPOutputDir: TComboBox;
    SearchPath: TComboBox;
    btnPackageDLLOutputDir: TButton;
    btnPackageDCPOutputDir: TButton;
    btnSearchPath: TButton;
    procedure FormShow(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
    procedure btnSearchPathClick(Sender: TObject);
    procedure btnPackageDCPOutputDirClick(Sender: TObject);
    procedure btnPackageDLLOutputDirClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
  private
    { Private declarations }
    procedure BrowseDir(ComboBox: TComboBox);
  public
    { Public declarations }
  end;

var
  FrmMain: TFrmMain;

implementation
uses
	registry, FileUtil, FormPathEdit, Exptintf;
  
{$R *.DFM}

procedure TFrmMain.FormShow(Sender: TObject);
begin
	with TRegistry.Create do
  try
		RootKey := HKEY_CURRENT_USER;
		if OpenKey( '\Software\Borland\Delphi\3.0\Library', false ) then
    begin
    	SearchPath.Text := ReadString( 'SearchPath' );
			PackageDLLOutputDir.Text := ReadString( 'PackageDLLOutputDir' );
      PackageDCPOutputDir.Text := ReadString( 'PackageDCPOutputDir' );
    end
    else
    begin
    	SearchPath.Enabled := false;
			PackageDLLOutputDir.Enabled := false;
      PackageDCPOutputDir.Enabled := false;
      btnOK.Enabled := false;
    end;
  finally
  	free;
  end
end;

procedure TFrmMain.btnOKClick(Sender: TObject);
begin
	with TRegistry.Create do
  try
		RootKey := HKEY_CURRENT_USER;
		if OpenKey( '\Software\Borland\Delphi\3.0\Library', false ) then
    begin
    	WriteString( 'SearchPath', SearchPath.Text );
			WriteString( 'PackageDLLOutputDir', PackageDLLOutputDir.Text );
      WriteString( 'PackageDCPOutputDir', PackageDCPOutputDir.Text );
    end;
  finally
  	free;
  end;
	Close;
end;

procedure TFrmMain.btnSearchPathClick(Sender: TObject);
begin
	with TFrmPathEdit.Create(Self) do
  try
  	Path := SearchPath.Text;
    if ShowModal = mrOK then
    	SearchPath.Text := Path;
  finally
  	release;
  end;
end;

procedure TFrmMain.btnPackageDCPOutputDirClick(Sender: TObject);
begin
	BrowseDir( PackageDCPOutputDir );
end;

procedure TFrmMain.btnPackageDLLOutputDirClick(Sender: TObject);
begin
	BrowseDir( PackageDLLOutputDir );
end;

procedure TFrmMain.BrowseDir( ComboBox: TComboBox);
var
	FolderName: string;
begin
	FolderName := ComboBox.Text;
	if BrowseDirectory( FolderName, 'Directories', 0 ) then
  	ComboBox.Text := FolderName;
end;

procedure TFrmMain.btnCancelClick(Sender: TObject);
begin
	Close;
end;

end.
